/*Constants for TEMPLATES testing*/

//JSON_SCHEMA_FVC: A string representing the filename of the financial vulnerability JSON schema.
export const JSON_SCHEMA_FVC = "financial-vulnerability.json"

//JSON_SCHEMA_ID_FVC: A URL pointing to the online location of the financial vulnerability JSON schema.
export const JSON_SCHEMA_ID_FVC = "https://idhub.pangea.org/vc_schemas/financial-vulnerability.json"

/*Files used in DATA IMPORT testing*/

//PATH_FILES_TO_IMPORT: A string representing the path to the directory where Excel files are located for data import testing.
export const PATH_FILES_TO_IMPORT = '/vc_excel/'

//Financial Vulnerability Credential
export const FILE_TO_IMPORT_FVC = 'financial-vulnerability.xlsx'
export const FILE_TO_IMPORT_FVC_EMPTY = 'financial-vulnerability-empty.xlsx'
export const FILE_TO_IMPORT_FVC_WITHOUT_REQUIRED_COLUMNS = 'financial-vulnerability-without-required-columns.xlsx'
export const FILE_TO_IMPORT_FVC_WITH_ALIEN_COLUMNS = 'financial-vulnerability-with-alien-columns.xlsx'

//"Schema name" as appears in the Idhub User interface for FVC
export const SCHEMA_FVC = 'Financial Vulnerability Credential'

//"Schema type" as appears in the Idhub User interface for FVC
export const SCHEMA_TYPE_FVC = 'FinancialVulnerabilityCredential'


//Membership Card
export const FILE_TO_IMPORT_MC = 'membership-card.xlsx';
export const SCHEMA_MC = 'Membership Card'
export const SCHEMA_TYPE_MC = 'MembershipCardCredential' //Revisar este valor en la interfaz

//NGOFederationMembership
export const FILE_TO_IMPORT_FM = 'federation-membership.xlsx';
export const SCHEMA_FM = 'Federation Membership'
export const SCHEMA_TYPE_FM = 'FederationMembership' //Revisar este valor en la interfaz (en Type)

//Course Credential
export const FILE_TO_IMPORT_CC = 'course-credential.xlsx';
export const SCHEMA_CC = 'Course Credential'
export const SCHEMA_TYPE_CC = 'CourseCredential' //Revisar este valor en la interfaz


//Messages
export const ALERT_FILE_IMPORTED_SUCCESSFULLY = "The file was imported successfully!"

export const ALERT_FILE_TO_IMPORT_IS_EMPTY = "The file you try to import is empty!"
export const ALERT_FILE_NOT_CORRESPOND_SCHEMA = "This File does not correspond to this scheme!"
export const ALERT_FILE_IS_BADLY_FORMATTED = "This file is badly formatted!"
export const ALERT_FILE_TO_IMPORT_WITHOUT_REQUIRED_COLUMS = "line 2: 'email' is a required property"
export const ALERT_FILE_TO_IMPORT_WITH_ALIEN_COLUMS = "line 2: Additional properties are not allowed ('alien1', 'alien2' were unexpected)"
export const ALERT_USER_CREATED_SUCESSFULLY_MESSAGE = 'The account was created successfully'

export const ERROR_INCORRECT_EMAIL_PASSWORD = 'Please enter a correct Email address and password. Note that both fields may be case-sensitive.'


//Memberships
export const MEMBERSHIP_TYPES = [
    { id: '1', type: 'Beneficiary' },
    { id: '2', type: 'Employee' },
    { id: '3', type: 'Member' }
  ];

