import { CourseCredential_fields, FinancialVulnerabilityCredential_fields, MembershipCard_fields, NGOFederationMembership_fields } from "../interfaces/credential_interfaces";

// List of entries in data store for the different types of credentials
export const CREDENTIAL_TYPES_DATA_STORE = {
  FinancialVulnerabilityCredential_data: [] as FinancialVulnerabilityCredential_fields[],
  MembershipCard_data: [] as MembershipCard_fields[],
  NGOFederationMembership_data: [] as NGOFederationMembership_fields[],
  CourseCredential_data: [] as CourseCredential_fields[],
  //TODO añadir otros tipos de credenciales
};

//Testing data for financialVulnerabilityCredential
CREDENTIAL_TYPES_DATA_STORE.FinancialVulnerabilityCredential_data = [{
  firstName: 'Wolfgang Amadeus',
  lastName: 'Mozart',
  email: 'user1@example.org',
  phoneNumber: '678567456',
  identityDocType: 'DNI',
  identityNumber: '45678900V',
  streetAddress: 'C/ Tallers 1',
  socialWorkerName: 'Ana',
  socialWorkerSurname: 'Fernández',
  financialVulnerabilityScore: '4',
  amountCoveredByOtherAids: '0',
  connectivityOptionList: 'Fibra',
  assessmentDate: '2024-01-01'
},
{
  firstName: 'Ludwing Van',
  lastName: 'Beethoven',
  email: 'user2@example.org',
  phoneNumber: 'undefined',
  identityDocType: 'DNI',
  identityNumber: '76677667Q',
  streetAddress: 'C/ Fontanals',
  socialWorkerName: 'Pedro',
  socialWorkerSurname: 'Ruíz',
  financialVulnerabilityScore: '6',
  amountCoveredByOtherAids: '30',
  connectivityOptionList: 'undefined',
  assessmentDate: '2024-01-03'
},
{
  firstName: 'Franz',
  lastName: 'Schubert',
  email: 'user3@example.org',
  phoneNumber: '609897645',
  identityDocType: 'DNI',
  identityNumber: '77777777A',
  streetAddress: 'C/Miro',
  socialWorkerName: 'Maria',
  socialWorkerSurname: 'Sánchez',
  financialVulnerabilityScore: '8',
  amountCoveredByOtherAids: '10',
  connectivityOptionList: 'Fibra',
  assessmentDate: '2023-10-04'
},
{
  firstName: 'Barbara',
  lastName: 'Strozzi',
  email: 'user4@example.org',
  phoneNumber: '654899876',
  identityDocType: 'NIE',
  identityNumber: '987876765X',
  streetAddress: 'C/ Picasso',
  socialWorkerName: 'Claudia',
  socialWorkerSurname: 'Puig',
  financialVulnerabilityScore: '9',
  amountCoveredByOtherAids: '0',
  connectivityOptionList: 'Fibra',
  assessmentDate: '2024-01-04'
}
];

CREDENTIAL_TYPES_DATA_STORE.MembershipCard_data = [
  //TODO: fill with data
];

CREDENTIAL_TYPES_DATA_STORE.NGOFederationMembership_data = [
  //TODO: fill with data
];
CREDENTIAL_TYPES_DATA_STORE.CourseCredential_data = [
  //TODO: fill with data
];



export const CREDENTIAL_TYPE_DATASTORE_UNDEFINED = {
  FinancialVulnerabilityCredential_data_undefined: {} as FinancialVulnerabilityCredential_fields
  //TODO añadir otros tipos de credenciales
}


CREDENTIAL_TYPE_DATASTORE_UNDEFINED.FinancialVulnerabilityCredential_data_undefined = {
  firstName: 'undefined_data',
  lastName: 'undefined_data',
  email: 'undefined_data',
  phoneNumber: 'undefined_data',
  identityDocType: 'undefined_data',
  identityNumber: 'undefined_data',
  streetAddress: 'undefined_data',
  socialWorkerName: 'undefined_data',
  socialWorkerSurname: 'undefined_data',
  financialVulnerabilityScore: 'undefined_data',
  amountCoveredByOtherAids: 'undefined_data',
  connectivityOptionList: 'undefined_data',
  assessmentDate: 'undefined_data',
}

